<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="635400SRMCBHVMSKJS84-2023-12-30.xsd#glanbiaplc_GroupIncomeStatementAxis" xlink:label="glanbiaplc_GroupIncomeStatementAxis" />
    <loc xlink:type="locator" xlink:href="635400SRMCBHVMSKJS84-2023-12-30.xsd#glanbiaplc_PreExceptionalMember" xlink:label="glanbiaplc_PreExceptionalMember" />
    <loc xlink:type="locator" xlink:href="635400SRMCBHVMSKJS84-2023-12-30.xsd#glanbiaplc_ExceptionalMember" xlink:label="glanbiaplc_ExceptionalMember" />
    <loc xlink:type="locator" xlink:href="635400SRMCBHVMSKJS84-2023-12-30.xsd#glanbiaplc_TotalMember" xlink:label="glanbiaplc_TotalMember" />
    <loc xlink:type="locator" xlink:href="635400SRMCBHVMSKJS84-2023-12-30.xsd#glanbiaplc_ProfitOrLossTable" xlink:label="glanbiaplc_ProfitOrLossTable" />
    <loc xlink:type="locator" xlink:href="635400SRMCBHVMSKJS84-2023-12-30.xsd#glanbiaplc_ProfitOrLossLineItems" xlink:label="glanbiaplc_ProfitOrLossLineItems" />
    <loc xlink:type="locator" xlink:href="635400SRMCBHVMSKJS84-2023-12-30.xsd#glanbiaplc_OperatingProfitBeforeIntangibleAssetAmortisationAndImpairmentEarningsBeforeInterestTaxAndAmortisationEBITA" xlink:label="glanbiaplc_OperatingProfitBeforeIntangibleAssetAmortisationAndImpairmentEarningsBeforeInterestTaxAndAmortisationEBITA" />
    <loc xlink:type="locator" xlink:href="635400SRMCBHVMSKJS84-2023-12-30.xsd#glanbiaplc_ShareCapitalAndSharePremium" xlink:label="glanbiaplc_ShareCapitalAndSharePremium" />
    <loc xlink:type="locator" xlink:href="635400SRMCBHVMSKJS84-2023-12-30.xsd#glanbiaplc_ShareCapitalAndSharePremiumMember" xlink:label="glanbiaplc_ShareCapitalAndSharePremiumMember" />
    <loc xlink:type="locator" xlink:href="635400SRMCBHVMSKJS84-2023-12-30.xsd#glanbiaplc_CostOfShareBasedPayments" xlink:label="glanbiaplc_CostOfShareBasedPayments" />
    <loc xlink:type="locator" xlink:href="635400SRMCBHVMSKJS84-2023-12-30.xsd#glanbiaplc_TransferOnExerciseVestingOrExpiryOfShareBasedPayments" xlink:label="glanbiaplc_TransferOnExerciseVestingOrExpiryOfShareBasedPayments" />
    <loc xlink:type="locator" xlink:href="635400SRMCBHVMSKJS84-2023-12-30.xsd#glanbiaplc_AcquisitionOfNCI" xlink:label="glanbiaplc_AcquisitionOfNCI" />
    <loc xlink:type="locator" xlink:href="635400SRMCBHVMSKJS84-2023-12-30.xsd#glanbiaplc_TransferToGroupIncomeStatement" xlink:label="glanbiaplc_TransferToGroupIncomeStatement" />
    <loc xlink:type="locator" xlink:href="635400SRMCBHVMSKJS84-2023-12-30.xsd#glanbiaplc_RemeasurementOfPutOptionLiability" xlink:label="glanbiaplc_RemeasurementOfPutOptionLiability" />
    <loc xlink:type="locator" xlink:href="635400SRMCBHVMSKJS84-2023-12-30.xsd#glanbiaplc_CashOutflowRelatedToExceptionalItemsClassifiedAsOperatingActivities" xlink:label="glanbiaplc_CashOutflowRelatedToExceptionalItemsClassifiedAsOperatingActivities" />
    <loc xlink:type="locator" xlink:href="635400SRMCBHVMSKJS84-2023-12-30.xsd#glanbiaplc_ProceedsOnSaleOfSharesHeldBySubsidiaryClassifiedAsInvestingActivities" xlink:label="glanbiaplc_ProceedsOnSaleOfSharesHeldBySubsidiaryClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="635400SRMCBHVMSKJS84-2023-12-30.xsd#glanbiaplc_CashOutflowRelatedToExceptionalItemsClassifiedAsInvestingActivities" xlink:label="glanbiaplc_CashOutflowRelatedToExceptionalItemsClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="635400SRMCBHVMSKJS84-2023-12-30.xsd#glanbiaplc_CashAndCashEquivalentsAcquiredOnAcquisition" xlink:label="glanbiaplc_CashAndCashEquivalentsAcquiredOnAcquisition" />
    <loc xlink:type="locator" xlink:href="635400SRMCBHVMSKJS84-2023-12-30.xsd#glanbiaplc_ReimbursementOfRebrandingcosts" xlink:label="glanbiaplc_ReimbursementOfRebrandingcosts" />
    <loc xlink:type="locator" xlink:href="635400SRMCBHVMSKJS84-2023-12-30.xsd#glanbiaplc_DisposalOfTirlanLimited" xlink:label="glanbiaplc_DisposalOfTirlanLimited" />
    <loc xlink:type="locator" xlink:href="635400SRMCBHVMSKJS84-2023-12-30.xsd#glanbiaplc_ProceedsFromDisposalDiscontinuedActivitiesClassifiedAsInvestingActivities" xlink:label="glanbiaplc_ProceedsFromDisposalDiscontinuedActivitiesClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="635400SRMCBHVMSKJS84-2023-12-30.xsd#glanbiaplc_ProceedsOnRepaymentOfLoansDiscontinuedActivitiesClassifiedAsInvestingActivities" xlink:label="glanbiaplc_ProceedsOnRepaymentOfLoansDiscontinuedActivitiesClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="635400SRMCBHVMSKJS84-2023-12-30.xsd#glanbiaplc_CashOutflowRelatedToExceptionalItemsDiscontinuedActivitiesClassifiedAsInvestingActivities" xlink:label="glanbiaplc_CashOutflowRelatedToExceptionalItemsDiscontinuedActivitiesClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="635400SRMCBHVMSKJS84-2023-12-30.xsd#glanbiaplc_DescriptionOfAccountingPolicyForChangeInPresentationCurrency" xlink:label="glanbiaplc_DescriptionOfAccountingPolicyForChangeInPresentationCurrency" />
    <loc xlink:type="locator" xlink:href="635400SRMCBHVMSKJS84-2023-12-30.xsd#glanbiaplc_DescriptionOfAccountingPolicyForImpactOfClimateRelatedMatters" xlink:label="glanbiaplc_DescriptionOfAccountingPolicyForImpactOfClimateRelatedMatters" />
    <loc xlink:type="locator" xlink:href="635400SRMCBHVMSKJS84-2023-12-30.xsd#glanbiaplc_DescriptionOfAccountingPolicyForIncomeStatementFormat" xlink:label="glanbiaplc_DescriptionOfAccountingPolicyForIncomeStatementFormat" />
    <loc xlink:type="locator" xlink:href="635400SRMCBHVMSKJS84-2023-12-30.xsd#glanbiaplc_DescriptionOfAccountingPolicyForInvestmentsInEquityInstruments" xlink:label="glanbiaplc_DescriptionOfAccountingPolicyForInvestmentsInEquityInstruments" />
    <loc xlink:type="locator" xlink:href="635400SRMCBHVMSKJS84-2023-12-30.xsd#glanbiaplc_DisclosureOfExceptionalItems" xlink:label="glanbiaplc_DisclosureOfExceptionalItems" />
    <loc xlink:type="locator" xlink:href="635400SRMCBHVMSKJS84-2023-12-30.xsd#glanbiaplc_DisclosureOfRetainedEarnings" xlink:label="glanbiaplc_DisclosureOfRetainedEarnings" />
    <labelArc xlink:type="arc" xlink:from="glanbiaplc_GroupIncomeStatementAxis" xlink:to="label_glanbiaplc_GroupIncomeStatementAxis" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="glanbiaplc_PreExceptionalMember" xlink:to="label_glanbiaplc_PreExceptionalMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="glanbiaplc_ExceptionalMember" xlink:to="label_glanbiaplc_ExceptionalMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="glanbiaplc_TotalMember" xlink:to="label_glanbiaplc_TotalMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="glanbiaplc_ProfitOrLossTable" xlink:to="label_glanbiaplc_ProfitOrLossTable" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="glanbiaplc_ProfitOrLossLineItems" xlink:to="label_ProfitOrLossLineItems" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="glanbiaplc_OperatingProfitBeforeIntangibleAssetAmortisationAndImpairmentEarningsBeforeInterestTaxAndAmortisationEBITA" xlink:to="label_glanbiaplc_glanbiaplcOperatingProfitBeforeIntangibleAssetAmortisationAndImpairmentEarningsBeforeInterestTaxAndAmortisationEBITA_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="glanbiaplc_ShareCapitalAndSharePremium" xlink:to="label_glanbiaplc_glanbiaplcShareCapitalAndSharePremium_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="glanbiaplc_ShareCapitalAndSharePremiumMember" xlink:to="label_glanbiaplc_ShareCapitalAndSharePremiumMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="glanbiaplc_CostOfShareBasedPayments" xlink:to="label_glanbiaplc_glanbiaplcCostOfShareBasedPayments_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="glanbiaplc_TransferOnExerciseVestingOrExpiryOfShareBasedPayments" xlink:to="label_glanbiaplc_glanbiaplcTransferOnExerciseVestingOrExpiryOfShareBasedPayments_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="glanbiaplc_AcquisitionOfNCI" xlink:to="label_glanbiaplc_glanbiaplcAcquisitionOfNCI_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="glanbiaplc_TransferToGroupIncomeStatement" xlink:to="label_glanbiaplc_glanbiaplcTransferToGroupIncomeStatement_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="glanbiaplc_RemeasurementOfPutOptionLiability" xlink:to="label_glanbiaplc_glanbiaplcRemeasurementOfPutOptionLiability_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="glanbiaplc_CashOutflowRelatedToExceptionalItemsClassifiedAsOperatingActivities" xlink:to="label_glanbiaplc_glanbiaplcCashOutflowRelatedToExceptionalItemsClassifiedAsOperatingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="glanbiaplc_ProceedsOnSaleOfSharesHeldBySubsidiaryClassifiedAsInvestingActivities" xlink:to="label_glanbiaplc_glanbiaplcProceedsOnSaleOfSharesHeldBySubsidiaryClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="glanbiaplc_CashOutflowRelatedToExceptionalItemsClassifiedAsInvestingActivities" xlink:to="label_glanbiaplc_glanbiaplcCashOutflowRelatedToExceptionalItemsClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="glanbiaplc_CashAndCashEquivalentsAcquiredOnAcquisition" xlink:to="label_glanbiaplc_glanbiaplcCashAndCashEquivalentsAcquiredOnAcquisition_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="glanbiaplc_ReimbursementOfRebrandingcosts" xlink:to="label_glanbiaplc_glanbiaplcReimbursementOfRebrandingcosts_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="glanbiaplc_DisposalOfTirlanLimited" xlink:to="label_glanbiaplc_glanbiaplcDisposalOfTirlanLimited_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="glanbiaplc_ProceedsFromDisposalDiscontinuedActivitiesClassifiedAsInvestingActivities" xlink:to="label_glanbiaplc_glanbiaplcProceedsFromDisposalDiscontinuedActivitiesClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="glanbiaplc_ProceedsOnRepaymentOfLoansDiscontinuedActivitiesClassifiedAsInvestingActivities" xlink:to="label_glanbiaplc_glanbiaplcProceedsOnRepaymentOfLoansDiscontinuedActivitiesClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="glanbiaplc_CashOutflowRelatedToExceptionalItemsDiscontinuedActivitiesClassifiedAsInvestingActivities" xlink:to="label_glanbiaplc_glanbiaplcCashOutflowRelatedToExceptionalItemsDiscontinuedActivitiesClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="glanbiaplc_DescriptionOfAccountingPolicyForChangeInPresentationCurrency" xlink:to="label_glanbiaplc_glanbiaplcDescriptionOfAccountingPolicyForChangeInPresentationCurrency_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="glanbiaplc_DescriptionOfAccountingPolicyForImpactOfClimateRelatedMatters" xlink:to="label_glanbiaplc_glanbiaplcDescriptionOfAccountingPolicyForImpactOfClimateRelatedMatters_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="glanbiaplc_DescriptionOfAccountingPolicyForIncomeStatementFormat" xlink:to="label_glanbiaplc_glanbiaplcDescriptionOfAccountingPolicyForIncomeStatementFormat_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="glanbiaplc_DescriptionOfAccountingPolicyForInvestmentsInEquityInstruments" xlink:to="label_glanbiaplc_glanbiaplcDescriptionOfAccountingPolicyForInvestmentsInEquityInstruments_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="glanbiaplc_DisclosureOfExceptionalItems" xlink:to="label_glanbiaplc_glanbiaplcDisclosureOfExceptionalItems_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="glanbiaplc_DisclosureOfRetainedEarnings" xlink:to="label_glanbiaplc_glanbiaplcDisclosureOfRetainedEarnings_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <label xlink:label="label_glanbiaplc_GroupIncomeStatementAxis" id="glanbiaplc_GroupIncomeStatementAxis" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Group income statement [axis]</label>
    <label xlink:label="label_glanbiaplc_PreExceptionalMember" id="glanbiaplc_PreExceptionalMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Pre exceptional [member]</label>
    <label xlink:label="label_glanbiaplc_ExceptionalMember" id="glanbiaplc_ExceptionalMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Exceptional [member]</label>
    <label xlink:label="label_glanbiaplc_TotalMember" id="glanbiaplc_TotalMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Total [member]</label>
    <label xlink:label="label_glanbiaplc_ProfitOrLossTable" id="glanbiaplc_ProfitOrLossTable" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Profit or loss [table]</label>
    <label xlink:label="label_ProfitOrLossLineItems" id="ProfitOrLossLineItems" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Profit or loss [line items]</label>
    <label xlink:label="label_glanbiaplc_glanbiaplcOperatingProfitBeforeIntangibleAssetAmortisationAndImpairmentEarningsBeforeInterestTaxAndAmortisationEBITA_Standard" id="glanbiaplc_glanbiaplcOperatingProfitBeforeIntangibleAssetAmortisationAndImpairmentEarningsBeforeInterestTaxAndAmortisationEBITA_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Operating profit before intangible asset amortisation and impairment (earnings before interest, tax and amortisation (EBITA))</label>
    <label xlink:label="label_glanbiaplc_glanbiaplcShareCapitalAndSharePremium_Standard" id="glanbiaplc_glanbiaplcShareCapitalAndSharePremium_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Share capital and share premium</label>
    <label xlink:label="label_glanbiaplc_ShareCapitalAndSharePremiumMember" id="glanbiaplc_ShareCapitalAndSharePremiumMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Share capital and share premium [member]</label>
    <label xlink:label="label_glanbiaplc_glanbiaplcCostOfShareBasedPayments_Standard" id="glanbiaplc_glanbiaplcCostOfShareBasedPayments_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Cost of share-based payments</label>
    <label xlink:label="label_glanbiaplc_glanbiaplcTransferOnExerciseVestingOrExpiryOfShareBasedPayments_Standard" id="glanbiaplc_glanbiaplcTransferOnExerciseVestingOrExpiryOfShareBasedPayments_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Transfer on exercise, vesting or expiry of share-based payments</label>
    <label xlink:label="label_glanbiaplc_glanbiaplcAcquisitionOfNCI_Standard" id="glanbiaplc_glanbiaplcAcquisitionOfNCI_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Acquisition of NCI</label>
    <label xlink:label="label_glanbiaplc_glanbiaplcTransferToGroupIncomeStatement_Standard" id="glanbiaplc_glanbiaplcTransferToGroupIncomeStatement_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Transfer to group income statement</label>
    <label xlink:label="label_glanbiaplc_glanbiaplcRemeasurementOfPutOptionLiability_Standard" id="glanbiaplc_glanbiaplcRemeasurementOfPutOptionLiability_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Remeasurement of put option liability</label>
    <label xlink:label="label_glanbiaplc_glanbiaplcCashOutflowRelatedToExceptionalItemsClassifiedAsOperatingActivities_Standard" id="glanbiaplc_glanbiaplcCashOutflowRelatedToExceptionalItemsClassifiedAsOperatingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Cash outflow related to exceptional items classified as operating activities</label>
    <label xlink:label="label_glanbiaplc_glanbiaplcProceedsOnSaleOfSharesHeldBySubsidiaryClassifiedAsInvestingActivities_Standard" id="glanbiaplc_glanbiaplcProceedsOnSaleOfSharesHeldBySubsidiaryClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Proceeds on sale of shares held by subsidiary classified as investing activities</label>
    <label xlink:label="label_glanbiaplc_glanbiaplcCashOutflowRelatedToExceptionalItemsClassifiedAsInvestingActivities_Standard" id="glanbiaplc_glanbiaplcCashOutflowRelatedToExceptionalItemsClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Cash outflow related to exceptional items classified as investing activities</label>
    <label xlink:label="label_glanbiaplc_glanbiaplcCashAndCashEquivalentsAcquiredOnAcquisition_Standard" id="glanbiaplc_glanbiaplcCashAndCashEquivalentsAcquiredOnAcquisition_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Cash and cash equivalents acquired on acquisition</label>
    <label xlink:label="label_glanbiaplc_glanbiaplcReimbursementOfRebrandingcosts_Standard" id="glanbiaplc_glanbiaplcReimbursementOfRebrandingcosts_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Reimbursement of rebranding costs</label>
    <label xlink:label="label_glanbiaplc_glanbiaplcDisposalOfTirlanLimited_Standard" id="glanbiaplc_glanbiaplcDisposalOfTirlanLimited_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disposal of Tirlán Limited</label>
    <label xlink:label="label_glanbiaplc_glanbiaplcProceedsFromDisposalDiscontinuedActivitiesClassifiedAsInvestingActivities_Standard" id="glanbiaplc_glanbiaplcProceedsFromDisposalDiscontinuedActivitiesClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Proceeds from disposal, discontinued activities, classified as investing activities</label>
    <label xlink:label="label_glanbiaplc_glanbiaplcProceedsOnRepaymentOfLoansDiscontinuedActivitiesClassifiedAsInvestingActivities_Standard" id="glanbiaplc_glanbiaplcProceedsOnRepaymentOfLoansDiscontinuedActivitiesClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Proceeds on repayment of loans, discontinued activities, classified as investing activities</label>
    <label xlink:label="label_glanbiaplc_glanbiaplcCashOutflowRelatedToExceptionalItemsDiscontinuedActivitiesClassifiedAsInvestingActivities_Standard" id="glanbiaplc_glanbiaplcCashOutflowRelatedToExceptionalItemsDiscontinuedActivitiesClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Cash outflow related to exceptional items, discontinued activities, classified as investing activities</label>
    <label xlink:label="label_glanbiaplc_glanbiaplcDescriptionOfAccountingPolicyForChangeInPresentationCurrency_Standard" id="glanbiaplc_glanbiaplcDescriptionOfAccountingPolicyForChangeInPresentationCurrency_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for change of presentation currency</label>
    <label xlink:label="label_glanbiaplc_glanbiaplcDescriptionOfAccountingPolicyForImpactOfClimateRelatedMatters_Standard" id="glanbiaplc_glanbiaplcDescriptionOfAccountingPolicyForImpactOfClimateRelatedMatters_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy For impact of climate related matters</label>
    <label xlink:label="label_glanbiaplc_glanbiaplcDescriptionOfAccountingPolicyForIncomeStatementFormat_Standard" id="glanbiaplc_glanbiaplcDescriptionOfAccountingPolicyForIncomeStatementFormat_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for income statement format</label>
    <label xlink:label="label_glanbiaplc_glanbiaplcDescriptionOfAccountingPolicyForInvestmentsInEquityInstruments_Standard" id="glanbiaplc_glanbiaplcDescriptionOfAccountingPolicyForInvestmentsInEquityInstruments_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for investments in equity instruments</label>
    <label xlink:label="label_glanbiaplc_glanbiaplcDisclosureOfExceptionalItems_Standard" id="glanbiaplc_glanbiaplcDisclosureOfExceptionalItems_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure Of Exceptional Items</label>
    <label xlink:label="label_glanbiaplc_glanbiaplcDisclosureOfRetainedEarnings_Standard" id="glanbiaplc_glanbiaplcDisclosureOfRetainedEarnings_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure of retained earnings</label>
  </labelLink>
</linkbase>